why jira5.x does not support DB2?

we are use db2 in jira3.12, and now we want to upgrade to the latest jira version.

i found db2 is not supported from jira 4.0

1.can anyone tell me why jira jira5.x does not support DB2?

2.if i still want to use db2, how to config it manually?

2 answers

1 accepted

This widget could not be displayed.

HI, Atlassian decided to drop support for a lot of databases and web application servers to reduce the time for testing and bug fixing. It's described in https://confluence.atlassian.com/display/JIRA/End+of+Support+Announcements+for+JIRA.

To be honest, with JIRA 5.x not supporting Java 7 and Tomcat 7 even I doubt DB2 will be back any time soon. I'd recommend migrating away from DB2 for JIRA as there could be bugs and issues that you will not get support for.

This widget could not be displayed.

In short, because there are too few installs on DB2. IBM shops tend to get everything from IBM (didn't understand why - I bet that most people having DB2 are also using Lotus Notes :) - how unfortunate - and tend to get Jazz (Team Concert) instead of Jira ). Support for DB2 ended at 4.0

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted 3 hours ago in Jira

Atlassian Research Workshop opportunity on Sep. 28th in Austin, TX

We're looking for participants for a workshop at Atlassian! We need Jira admins who have interesting custom workflows, issue views, or boards. Think you have a story to sha...

14 views 0 0
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you